GROFF(1)

NAZWA
groff - frontend systemu formatowania dokumentów groff

SKŁADNIA
groff [ -tpeszaivhblCENRSVXZ ] [ -wnazwa ] [ -Wnazwa ] [ -mnazwa ] [ -Fdir ] [ -Tdev ] [ -ffam ] [ -Mdir ] [ -dcs ] [ -rcn ] [ -nnum ] [ -olista ] [ -Parg ] [ pliki... ]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

groff jest frontendem do systemu formatowania dokumentów groff. Normalnie uruchamia on program troff i odpowiedni dla wybranego urządzenia postprocesor. Dostępne urządzenia to:

ps  Dla drukarek/przeglądarek postscriptowych.

dvi Dla formatu TeX dvi.

X75 Dla przeglądarki X11 75 dpi

X100
    Dla przeglądarki X11 100 dpi

ascii
    Dla urządzeń tekstowych

latin1
    Dla urządzeń tekstowych, akceptujących zestaw znaków ISO Latin-1.

Postprocesor używany dla danego urządzenia jest podawany komendą postpro w pliku opisu urządzenia. Może to być unieważnione opcją -X.

Domyślnym urządzeniem jest ps. Opcjonalnie może ono preprocesować przez dowolne z pic, eqn, tbl, refer lub soelim.

Opcje bez argumentu mogą być zgrupowane za pojedynczym -. Plik o nazwie - oznacza standardowe wejście.

Komenda grog może być używana do zgadywania prawidłowych komend groff, w celu sformatowania pliku.

OPCJE

-h  Wydrukuj informację o użyciu.

-e  Preprocesuj poprzez eqn.

-t  Preprocesuj poprzez tbl.

-p  Preprocesuj poprzez pic.

-s  Preprocesuj poprzez soelim.

-R  Preprocesuj poprzez refer. Nie istnieje mechanizm do przekazywania argumentów do refer, ponieważ większość opcji refer ma równoważne komendy, które mogą być włączone w pliku. Więcej szczegółów znajdziesz w refer(1).

-v  Powoduje, że programy uruchamiane przez groffa drukują swój numer wersji.

-V  Wydrukuj potok na standardowym wyjściu zamiast wykonywania go.

-z  Powstrzymaj wyjście troffa. Drukowane będą tylko komunikaty o błędach.

-Z  Nie postprocesuj wyjścia troffa. Normalnie groff automatycznie uruchamia odpowiedni postprocesor.

-Parg
    Przekaż postprocesorowi arg. Każdy argument powinien być przekazywany w osobnej opcji -P. Zauważ, że groff nie dokleja - do arg przed przekazaniem go postprocesorowi.

-l  Wyślij wyjście na drukarkę. Komenda używana do wykonania jest określona przez komendę print w pliku opisu urządzenia.

-Larg
    Przekaż arg spoolerowi. Każdy argument powinien być przekazany w osobnej opcji -L. Zauważ, że groff nie dokleja - do arg przed przekazaniem go postprocesorowi.

-Tdev
    Przygotuj wyjście dla urządzenia dev. Domyślnym urządzeniem jest ps.

-X  Przejrzyj przy użyciu gxditview zamiast używać zwykłego postprocesora. Groff przekazuje programowi gxditview opcję -printCommand, która powoduje, że akcja Print robi to samo, co groff by zrobił, gdyby otrzymał opcję -l. Nie jest zbyt prawdopodobne, by wyszły z tego dobre efekty, chyba że z -Tps.

-N  Nie zezwalaj na nowe linie z ogranicznikami eqn. Jest to to samo, co opcja -N w eqn.

-S  Bezpieczniejszy tryb. Przekaż opcję -S do pic i użyj w troffie makr -msafer.

-a
-b
-i
-C
-E
-wnazwa
-Wnazwa
-mnazwa
-olista
-dcs
-rcn
-Fdir
-Mdir
-ffam
-nnum
    Te są opisane w troff(1).

ŚRODOWISKO

GROFF_COMMAND_PREFIX
    Jeśli jest to ustawione na X, to groff uruchomi X'owegotroffa zamiast troffa. Tyczy się to także tbl, pic, eqn, refer i soelim. Nie ma to wpływu na grops, grodvi, grotty i gxditview.

GROFF_TMAC_PATH
    Oddzielona dwukropkami lista katalogów, w których szukać plików z makrami.

GROFF_TYPESETTER
    Domyślne urządzenie.

GROFF_FONT_PATH
    Oddzielona dwukropkami lista katalogów, w których szukać katalogu devnazwa.

PATH
    Ścieżka przeszukiwania dla komend wywoływanych przez groff.

GROFF_TMPDIR
    Katalog, w którym tworzone są pliki tymczasowe. Jeśli nie jest to ustawione, a ustawione jest TMPDIR , to pliki tymczasowe będą składane w tym katalogu. W przeciwnym wypadku będą tworzone w /tmp. Komendy grops(1) i refer(1) mogą tworzyć pliki tymczasowe.

PLIKI
/usr/lib/groff/font/devnazwa/DESC Plik opisu urządzenia dla urządzenia nazwa.

/usr/lib/groff/font/devnazwa/F
    Plik z fontem dla fontu F urządzenia nazwa.

AUTOR
James Clark <jjc@jclark.com>

BŁĘDY
Zgłaszaj błędy na bug-groff@prep.ai.mit.edu. Załącz kompletny przykład, który pozwoli powielić błąd i załącz informację o używanej wersji groffa.

COPYRIGHT
Copyright © 1989, 1990, 1991, 1992 Free Software Foundation, Inc.

groff jest darmowy; możesz go rozpowszechniać i modyfikować zgodnie z licencją GNU GPL, wydaną przez Free Software Foundation, w wersji 2 lub późniejszej.

groff jest udostępniany w nadziei, że będzie przydatny, lecz BEZ ŻADNEJ GWARANCJI. Obejrzyj licencję dla dalszych szczegółów.

Powinieneś otrzymać kopię GPL wraz z groffem; zobacz plik COPYING. Jeśli nie, napisz do Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

DOSTĘPNOŚĆ
Najnowsza wersja groffa jest zawsze dostępna z anonimowego ftp na prep.ai.mit.edu (18.71.0.38) w katalogu pub/gnu.

ZOBACZ TAKŻE
grog(1), troff(1), tbl(1), pic(1), eqn(1), soelim(1), refer(1), grops(1), grodvi(1), grotty(1), gxditview(1), groff_font(5), groff_out(5), groff_ms(7), me(7), groff_char(7), msafer(7)

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 groff

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.